# log4cplus::HierarchyLocker Class Reference

This is used to lock a Hierarchy. More...

`#include <hierarchylocker.h>`

Collaboration diagram for log4cplus::HierarchyLocker:

[legend]
List of all members.

## Public Member Functions

| HierarchyLocker (Hierarchy &h)
| ~HierarchyLocker ()
void | resetConfiguration ()
| Calls the `resetConfiguration()` method on the locked Hierarchy.
Logger | getInstance (const log4cplus::tstring &name)
| Calls the `getInstance()` method on the locked Hierarchy.
Logger | getInstance (const log4cplus::tstring &name, spi::LoggerFactory &factory)
| Calls the `getInstance()` method on the locked Hierarchy.
void | addAppender (Logger &logger, log4cplus::SharedAppenderPtr &appender)

## Detailed Description

This is used to lock a Hierarchy.

The dtor unlocks the Hierarchy.

Definition at line 27 of file hierarchylocker.h.

## Constructor & Destructor Documentation

log4cplus::HierarchyLocker::HierarchyLocker | ( | Hierarchy & | h | ) |

log4cplus::HierarchyLocker::~HierarchyLocker | ( |  | ) |

## Member Function Documentation

void log4cplus::HierarchyLocker::addAppender | ( | Logger & | logger,
|  | log4cplus::SharedAppenderPtr & | appender
| ) |

Logger log4cplus::HierarchyLocker::getInstance | ( | const log4cplus::tstring & | name,
|  | spi::LoggerFactory & | factory
| ) |

| Calls the `getInstance()` method on the locked Hierarchy.

Logger log4cplus::HierarchyLocker::getInstance | ( | const log4cplus::tstring & | name | ) |

| Calls the `getInstance()` method on the locked Hierarchy.

void log4cplus::HierarchyLocker::resetConfiguration | ( |  | ) |

| Calls the `resetConfiguration()` method on the locked Hierarchy.

The documentation for this class was generated from the following file:

- hierarchylocker.h